Summary
Get Iterations of a Job's Task
Description
Get iterations of a Job's Task by Job ID and Task name.
Route
GET /workflow_engine/getTaskIterations/:job_id/:task
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| job_id |
string |
yes |
Job ID to get iterations of its Task. |
| task |
string |
yes |
Four digit hexadecimal task id to get task iterations from |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| task_iterations |
array |
Iterations of a Job's Task. |
Copied to Clipboard
[
{
"_id": "5cb7b531d06cceb89fd21b1c",
"job": {
"_id": "4321abcdef694aa79dae47ad",
"task": "12ab",
"ancestors": [
"4321abcdef694aa79dae47ad",
"5cb7b531d06cceb89fd21b1c",
"4321abcdef694aa79dae47ad",
"4321abcdef694aa79dae47ad",
"5cb7b531d06cceb89fd21b1c"
],
"name": false,
"description": "do"
},
"variables": {
"incoming": {
"inputVariable": "inputValue"
},
"outgoing": {
"outputVariable": null
},
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "commodo irure qui laborum"
}
]
},
"metrics": {
"retrying": false
},
"name": "Ut",
"summary": true,
"displayName": false,
"type": "qui",
"x": "et veniam",
"y": "Excepteur eiusmod do aliquip"
},
{
"_id": "4321abcdef694aa79dae47ad",
"job": {
"_id": "5cb7b531d06cceb89fd21b1c",
"task": "12ab",
"ancestors": [
"4321abcdef694aa79dae47ad"
],
"name": -95289083.40030977,
"description": "labore occaecat dolore"
},
"variables": {
"incoming": {
"inputVariable": "inputValue"
},
"outgoing": {
"outputVariable": null
},
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "ut Excepteur tempor"
}
]
},
"metrics": {
"retrying": true
},
"name": 25744161.843244568,
"summary": false,
"displayName": -2658594,
"type": -73440339,
"x": true,
"y": -87874946.99471861
}
]
Copied to Clipboard
{
"title": "task_iterations",
"type": "array",
"items": {
"$ref": "taskDocument"
}
}